CVE-2005-3293
CVSS5.0
发布时间 :2005-10-23 06:02:00
修订时间 :2008-09-05 16:53:59
NMCO    

[原文]Xerver 4.17 allows remote attackers to (1) obtain source code of scripts via a request with a trailing "." (dot) or (2) list directory contents via a trailing null character.


[CNNVD]Xerver 多个输入验证漏洞(CNNVD-200510-176)

        Xerver是一个免费的包括Web与FTP的服务器.
        Xerver 4.17可以使远程攻击者(1)借助含有尾随的 "." 的请求,获取脚本的源代码,或(2)借助尾随的空字符,列出目录内容。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3293
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3293
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200510-176
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/15135
(PATCH)  BID  15135
http://secunia.com/advisories/17243
(VENDOR_ADVISORY)  SECUNIA  17243
http://xforce.iss.net/xforce/xfdb/22786
(UNKNOWN)  XF  xerver-null-character-directory-traversal(22786)
http://xforce.iss.net/xforce/xfdb/22785
(UNKNOWN)  XF  xerver-source-code-disclosure(22785)
http://www.osvdb.org/20076
(UNKNOWN)  OSVDB  20076
http://www.osvdb.org/20075
(UNKNOWN)  OSVDB  20075
http://securitytracker.com/id?1015079
(UNKNOWN)  SECTRACK  1015079

- 漏洞信息

Xerver 多个输入验证漏洞
中危 输入验证
2005-10-23 00:00:00 2006-01-19 00:00:00
远程  
        Xerver是一个免费的包括Web与FTP的服务器.
        Xerver 4.17可以使远程攻击者(1)借助含有尾随的 "." 的请求,获取脚本的源代码,或(2)借助尾随的空字符,列出目录内容。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        Xerver Xerver 4.17
        Xerver Xerver 4.20
        http://www.javascript.nu/xerver/

- 漏洞信息

20075
Xerver Single Dot File Request Source Disclosure
Remote / Network Access Information Disclosure
Loss of Confidentiality Upgrade
Exploit Public Vendor Verified

- 漏洞描述

Xerver contains a flaw that may lead to an unauthorized information disclosure. The issue is triggered when a '.' is appended to the filename of the script in the URL, which will disclose the source code of the script resulting in a loss of confidentiality.

- 时间线

2005-10-19 Unknow
2005-10-19 Unknow

- 解决方案

Upgrade to version 4.20 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站